/*
 * This file was manually extracted from a lightly modified version
 * of skip32 downloaded from
 * https://opensource.qualcomm.com/assets/dotc/skip32.c or
 * http://search.cpan.org/~esh/Crypt-Skip32-0.17/lib/Crypt/Skip32.pm
 *
 * skip32.c's original header said:
 *
 *      SKIP32 -- 32 bit block cipher based on SKIPJACK.
 *      Written by Greg Rose, QUALCOMM Australia, 1999/04/27.
 *    
 *      In common: F-table, G-permutation, key schedule.
 *      Different: 24 round feistel structure.
 *      Based on:  Unoptimized test implementation of SKIPJACK algorithm
 *                 Panu Rissanen <bande@lut.fi>
 *    
 *      SKIPJACK and KEA Algorithm Specifications
 *      Version 2.0
 *      29 May 1998
 *    
 *      Not copyright, no rights reserved.
 *
 * I've made the following changes:
 *   - made it more 'library like';
 *   - deleted main()
 *   - added a wrapper so that we en/decrypt uint32_t instead of 
 *     four uint8_ts.
 *
 * Martin Oldfield, 2012-12-31
 */

#ifndef _SKIP32_H_

#define _SKIP32_H_

// key should be 10 bytes long
extern unsigned long skip32(const unsigned char key[], unsigned long x, int encrypt);

#endif

